## org.apache.maven.embedder
Interface MavenEmbedderLogger

All Known Implementing Classes:
  AbstractMavenEmbedderLogger, MavenEmbedderConsoleLogger

    public interface MavenEmbedderLogger

Version:
  $Id: MavenEmbedderLogger.java 293410 2005-10-03 18:06:00Z jdcasey $
Author:
  Jason van Zyl

Field Summary
`static int` `LEVEL_DEBUG`
`static int` `LEVEL_DISABLED`
`static int` `LEVEL_ERROR`
`static int` `LEVEL_FATAL`
`static int` `LEVEL_INFO`
`static int` `LEVEL_WARN`

Method Summary
`void` `debug(java.lang.String message)`
`void` `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` `error(java.lang.String message)`
`void` `error(java.lang.String message, java.lang.Throwable throwable)`
`void` `fatalError(java.lang.String message)`
`void` `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`int` `getThreshold()`
`void` `info(java.lang.String message)`
`void` `info(java.lang.String message, java.lang.Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `setThreshold(int threshold)`
`void` `warn(java.lang.String message)`
`void` `warn(java.lang.String message, java.lang.Throwable throwable)`

Field Detail

### LEVEL_DEBUG

    static final int LEVEL_DEBUG

See Also:
  Constant Field Values

### LEVEL_INFO

    static final int LEVEL_INFO

See Also:
  Constant Field Values

### LEVEL_WARN

    static final int LEVEL_WARN

See Also:
  Constant Field Values

### LEVEL_ERROR

    static final int LEVEL_ERROR

See Also:
  Constant Field Values

### LEVEL_FATAL

    static final int LEVEL_FATAL

See Also:
  Constant Field Values

### LEVEL_DISABLED

    static final int LEVEL_DISABLED

See Also:
  Constant Field Values

Method Detail

### debug

    void debug(java.lang.String message)

### debug

    void debug(java.lang.String message,
               java.lang.Throwable throwable)

### isDebugEnabled

    boolean isDebugEnabled()

### info

    void info(java.lang.String message)

### info

    void info(java.lang.String message,
              java.lang.Throwable throwable)

### isInfoEnabled

    boolean isInfoEnabled()

### warn

    void warn(java.lang.String message)

### warn

    void warn(java.lang.String message,
              java.lang.Throwable throwable)

### isWarnEnabled

    boolean isWarnEnabled()

### error

    void error(java.lang.String message)

### error

    void error(java.lang.String message,
               java.lang.Throwable throwable)

### isErrorEnabled

    boolean isErrorEnabled()

### fatalError

    void fatalError(java.lang.String message)

### fatalError

    void fatalError(java.lang.String message,
                    java.lang.Throwable throwable)

### isFatalErrorEnabled

    boolean isFatalErrorEnabled()

### setThreshold

    void setThreshold(int threshold)

### getThreshold

    int getThreshold()

Copyright © 2011. All Rights Reserved.